Issue570

classification
Title [Bug: 21.5-b29] usenet article freezes XEmacs
Type defect Module core code 21.4, core code 21.5
Severity crash Platform N/A
Keywords Nosy List acs, giacomo.boffi, stephen
explanation
process
These controls should only be changed by committers and tracker administrators.
Status committed   Reason
Superseder   Submitted 2009-09-18.14:20:48
Priority normal   Assigned To

Created on 2009-09-18.14:41:47 by giacomo.boffi, last changed 2009-09-24.14:38:59 by stephen.

Messages
msg1854 [hidden] ([hidden]) Date: 2009-09-24.14:38:59
  Message-ID: <1253803139.51.0.593903286018.issue570@xemacs.org>
The patch here fixes issue373, where the bug is confirmed in 21.4 as well 
as 21.5.
msg1852 [hidden] ([hidden]) Date: 2009-09-23.14:21:38
  Message-ID: <1253715698.46.0.445229309877.issue570@xemacs.org>
Fixed in 4698:a9493cab536f.  See also
<87vdj94yuz.fsf@uwakimon.sk.tsukuba.ac.jp> (21.5)
<87sked4uj3.fsf@uwakimon.sk.tsukuba.ac.jp> (21.4)
on XEmacs Patches.
msg1845 [hidden] ([hidden]) Date: 2009-09-22.16:47:08
  Message-ID: <1253638028.93.0.99047714094.issue570@xemacs.org>
I know how to fix it basically, but need to go to bed now.

The basic problem is that we are getting a PNG which uses both an RGB palette 
(what X11 would call PseudoColor) and transparency data (an alpha channel).  
The crash is caused because the presence of the transparency data causes libpng 
to fill our buffer (which expects RGB data) with RGBA data, ie 33% too much.  
This overrun is restricted to the last row because of the way libpng fills the 
buffer.  It occurs regardless of the strip_alpha setting, because the stripping 
is done in-place in our buffer.  This is handled by adding padding to the end 
of the unwind.eimage buffer.  It would be nice if somehow we could avoid it (it 
amounts to 5 * pixel_width bytes), but that would be a bit complicated.

A second problem then becomes apparent: the alpha channel is not actually being 
stripped.  The png_info structure does not have a unified way to determine if 
there is an alpha channel.  Instead you have to check for color_type & 
MASK_ALPHA for true RGB, and for num_trans > 0 for PALETTE + TRANS.  Our code 
only did the former, so the image was displayed incorrectly.  Unfortunately, 
it's not well-documented for all the possibilities, so I need to study the 
library code before submitting a patch.
msg1843 [hidden] ([hidden]) Date: 2009-09-22.12:10:50
  Message-ID: <1253621450.28.0.667757464964.issue570@xemacs.org>
As explained on xemacs-beta, this seems to be due to libpng ignoring 
glyphs-eimage.c's request to strip the alpha channel.
msg1840 [hidden] ([hidden]) Date: 2009-09-18.14:41:46
  Message-ID: <19123.38720.677315.152650@aiuole.stru.polimi.it>
================================================================
Dear Bug Team!

if i open comp.lang.python using gnus, and then i select an article by
author "Michel Claveau - MVP" in the thread named "Looking for a pure
Python chart drawing module", then XEmacs deeply freezes, and the only
thing to do is killall xemacs

due to excessive slowness within VM i built my emacs with optimization
on and most debugging features off, so if it is needed i have to
rebuild xemacs to get a suitable backtrace from core, but feel free to
ask:)

thanks in advance,
                                                                g
================================================================

System Info to help track down your bug:
---------------------------------------

uname -a: Linux aiuole 2.6.30-1-686 #1 SMP Sat Aug 15 19:11:58 UTC 2009 i686 GNU/Linux

./configure  '--with-xft=emacs,tabs,menubars,gauges' '--with-athena=3d' '--with-widgets=yes' '--with-gpm' '--with-mule' '--with-zlib' '--without-ipv6-cname' '--with-modules' '--with-bignum=gmp' '--with-optimization' '--without-error-checking' '--enable-debug=no' '--without-debug'

XEmacs 21.5-b29 "garbanzo" 2c1fa63dddbc configured for `i686-pc-linux'.

Compilation Environment and Installation Defaults:
  Source code location:              /home/boffi/src/xemacs-21.5
  Installation prefix:               /usr/local
  Operating system description file: `s/linux.h'
  Machine description file:          `m/intel386.h'
  Compiler version:                  gcc (Debian 4.3.4-2) 4.3.4
    - GCC specs file:                specs.
    - Compiler command:              gcc   -Wall -Wno-switch -Wundef -Wsign-compare -Wno-char-subscripts -Wpacked -Wunused-parameter -g -O3 
  libc version:                      GNU libc 2.9-26 (Debian)
  Relocating allocator for buffers:  no
  GNU version of malloc:             yes
    - Using Doug Lea's new malloc from the GNU C Library.

Window System:
  Compiling in support for the X window system:
    - X Windows headers location:                 
    - X Windows libraries location:               
    - Handling WM_COMMAND properly.
    - Using fontconfig to manage fonts.
    - Compiling in support for Xft antialiased fonts (EXPERIMENTAL).
  Compiling in support for the Athena widget set:
    - Athena headers location:                    X11/Xaw3d
    - Athena library to link:                     Xaw3d
  Using Lucid menubars.
    - Using Xft to render antialiased fonts in menubars.
      WARNING: This feature will be replaced with a face.
  Using Lucid scrollbars.
  Using Athena dialog boxes.
  Using Athena native widgets.
    - Using Xft to render antialiased fonts in tab controls.
      WARNING: This feature will be replaced with a face.
    - Using Xft to render antialiased fonts in progress bars.
      WARNING: This feature will be replaced with a face.
      WARNING: This feature not yet implemented; setting ignored.

TTY:
  Compiling in support for ncurses.
  Compiling in support for GPM (General Purpose Mouse).

Images:
  Compiling in support for GIF  images (builtin).
  Compiling in support for XPM  images.
  Compiling in support for PNG  images.
  Compiling in support for JPEG images.
  Compiling in support for TIFF images.
  Compiling in support for X-Face message headers.

Sound:
  Compiling in support for sound (native).
  Compiling in support for ALSA (Advanced Linux Sound Architecture).
  Compiling in support for NAS (network audio system).

Databases:
  Compiling in support for Berkeley database.

Internationalization:
  Compiling in support for Mule (multi-lingual Emacs).
  Compiling in support for XIM (X11R5+ I18N input method).
    - Using raw Xlib to provide XIM support.

Mail:
  Compiling in support for "file" mail spool file locking method.

Other Features:
  Inhibiting IPv6 canonicalization at startup.
  Compiling in support for dynamic shared object modules.
  Compiling in support for more number types using the GNU MP library.
  Using the new GC mark algorithms (KKCC).
  WARNING: ---------------------------------------------------------
  WARNING: The new algorithms are experimental. They are enabled by
  WARNING: default for this release. Use `--disable-kkcc' to
  WARNING: turn it off.
  WARNING: ---------------------------------------------------------
  Using the new portable dumper.
  Dumping into executable.

Load-Path Lisp Shadows:
----------------------
(/home/boffi/lib/emacs/info-look
/usr/local/share/xemacs/xemacs-packages/lisp/edit-utils/info-look
/usr/local/share/xemacs/xemacs-packages/lisp/cedet-common/sformat
/usr/local/share/xemacs/xemacs-packages/lisp/semantic/sformat
/usr/local/share/xemacs/xemacs-packages/lisp/cedet-common/working
/usr/local/share/xemacs/xemacs-packages/lisp/semantic/working
/usr/local/share/xemacs/mule-packages/lisp/mule-base/ethio-util
/usr/local/share/xemacs-21.5-b29/lisp/mule/ethio-util
/usr/local/share/xemacs/mule-packages/lisp/mule-base/china-util
/usr/local/share/xemacs-21.5-b29/lisp/mule/china-util
/usr/local/share/xemacs/mule-packages/lisp/mule-base/korea-util
/usr/local/share/xemacs-21.5-b29/lisp/mule/korea-util
/usr/local/share/xemacs/mule-packages/lisp/mule-base/japan-util
/usr/local/share/xemacs-21.5-b29/lisp/mule/japan-util
/usr/local/share/xemacs/mule-packages/lisp/mule-base/viet-util
/usr/local/share/xemacs-21.5-b29/lisp/mule/viet-util
/usr/local/share/xemacs/xemacs-packages/lisp/xemacs-base/easy-mmode
/usr/local/share/xemacs-21.5-b29/lisp/easy-mmode
/usr/local/share/xemacs/xemacs-packages/lisp/build/build-report
/usr/local/share/xemacs-21.5-b29/lisp/build-report
/usr/local/share/xemacs/mule-packages/lisp/mule-ucs/unicode
/usr/local/share/xemacs-21.5-b29/lisp/unicode
/usr/local/share/xemacs/xemacs-packages/lisp/xemacs-base/regexp-opt
/usr/local/share/xemacs-21.5-b29/lisp/regexp-opt)

Internationalization Settings:
-------------------------

Environment:

  Value of LC_ALL      : nil
  Value of LC_COLLATE  : nil
  Value of LC_CTYPE    : nil
  Value of LC_MESSAGES : nil
  Value of LC_MONETARY : nil
  Value of LC_NUMERIC  : nil
  Value of LC_TIME     : nil
  Value of LANG        : nil

Lisp locale settings:

  current-language-environment      => "English"
  default-buffer-file-coding-system => iso-8859-1
  default-process-coding-system     => (undecided . iso-8859-1)
  (current-locale)                  => "C"
  keyboard-coding-system            => iso-8859-1
  terminal-coding-system            => iso-8859-1
  (coding-priority-list)            =>
    (iso-8-1 utf-16-little-endian-bom utf-16-bom utf-8-bom iso-7
    no-conversion utf-8 iso-8-2 iso-8-designate iso-lock-shift
    shift-jis big5 utf-16-little-endian utf-16 ucs-4)

Coding system aliases:

  'native                              is aliased to iso-8859-1
  'file-name                           is aliased to iso-8859-1
  'mswindows-multibyte-system-default  is not a coding system alias

Installed XEmacs Packages:
-------------------------
(zenirc ver: 1.16 upstream: 2.112)
(xwem ver: 1.22 upstream: lg@xwem.org--2005/xwem--main--2.1--versionfix-1)
(xslt-process ver: 1.12 upstream: 1.2.1)
(xslide ver: 1.09 upstream: 0.2.2)
(xlib ver: 1.14 upstream: lg@xwem.org--2005/xlib--main--2.1--version-0)
(xetla ver: 1.02 upstream: steve@eicq.org--2005/xetla--main--1.1--version-0)
(xemacs-devel ver: 1.79 upstream: No-Upstream-Ver)
(xemacs-base ver: 2.19 upstream: No-Upstream-Ver)
(x-symbol ver: 1.11 upstream: 4.5.1)
(w3 ver: 1.35 upstream: 4.0pre47)
(vm ver: 8.07 upstream: 8.0.12-devo)
(viper ver: 1.65 upstream: 3.09)
(view-process ver: 1.13 upstream: 2.4)
(vhdl ver: 1.22 upstream: 3.33.12)
(vc-cc ver: 1.22 upstream: No-Upstream-Ver)
(vc ver: 1.46 upstream: No-Upstream-Ver)
(tramp ver: 1.4 upstream: 2.0.56)
(tpu ver: 1.14 upstream: 4.2X)
(tooltalk ver: 1.15 upstream: No-Upstream-Ver)
(tm ver: 1.39 upstream: No-Upstream-Ver)
(time ver: 1.14 upstream: 1.17)
(textools ver: 1.15 upstream: No-Upstream-Ver)
(text-modes ver: 1.96 upstream: No-Upstream-Ver)
(texinfo ver: 1.3 upstream: No-Upstream-Ver)
(supercite ver: 1.21 upstream: 3.55x3)
(strokes ver: 1.1 upstream: No-Upstream-Ver)
(speedbar ver: 1.29 upstream: 1.0pre4)
(sounds-wav ver: 1.12 upstream: No-Upstream-Ver)
(sounds-au ver: 1.12 upstream: No-Upstream-Ver)
(sml-mode ver: 0.12 upstream: 3.9.5)
(slider ver: 1.16 upstream: 0.3x1)
(sieve ver: 1.18 upstream: No-Upstream-Ver)
(sh-script ver: 1.24 upstream: 2.0f)
(sgml ver: 1.11 upstream: No-Upstream-Ver)
(semantic ver: 1.21 upstream: 2.0pre4)
(scheme ver: 1.17 upstream: No-Upstream-Ver)
(sasl ver: 1.16 upstream: 1.14.4)
(ruby-modes ver: 1.02 upstream: 1.6.8)
(rmail ver: 1.14 upstream: No-Upstream-Ver)
(riece ver: 1.23 upstream: 3.1.2)
(reftex ver: 1.34 upstream: 4.21)
(re-builder ver: 1.05 upstream: 1.20)
(python-modes ver: 1.13 upstream: 5.0.0)
(psgml-dtds ver: 1.03 upstream: No-Upstream-Ver)
(psgml ver: 1.45 upstream: 1.3.2)
(ps-print ver: 1.12 upstream: 6.5.6)
(prog-modes ver: 2.2 upstream: No-Upstream-Ver)
(pgg ver: 1.07 upstream: 0.1)
(perl-modes ver: 1.14 upstream: No-Upstream-Ver)
(pcomplete ver: 1.05 upstream: 1.1.6)
(pcl-cvs ver: 1.68 upstream: R-2_9_9)
(pc ver: 1.28 upstream: No-Upstream-Ver)
(os-utils ver: 1.41 upstream: No-Upstream-Ver)
(oo-browser ver: 1.05 upstream: 4.08)
(ocaml ver: 0.06 upstream: 3.06)
(net-utils ver: 1.56 upstream: N/A)
(mmm-mode ver: 1.03 upstream: 0.4.8)
(misc-games ver: 1.22 upstream: No-Upstream-Ver)
(mine ver: 1.16 upstream: 1.9)
(mh-e ver: 1.31 upstream: 7.4.2)
(mew ver: 1.19 upstream: 1.94.2)
(mailcrypt ver: 2.14 upstream: 3.5.8)
(mail-lib ver: 1.8 upstream: No-Upstream-Ver)
(jde ver: 1.52 upstream: 2.3.5.1)
(ispell ver: 1.32 upstream: 3.6)
(ilisp ver: 1.34 upstream: 5.12.0)
(igrep ver: 1.16 upstream: 2.111)
(idlwave ver: 1.32 upstream: 5.1)
(ibuffer ver: 1.09 upstream: No-Upstream-Ver)
(hyperbole ver: 1.17 upstream: 5.0)
(hm--html-menus ver: 1.24 upstream: 5.9)
(haskell-mode ver: 1.11 upstream: 2.1)
(guided-tour ver: 0.52 upstream: No-Upstream-Ver)
(gnus ver: 1.93 upstream: 5.10.8)
(gnats ver: 1.17 upstream: 3.101)
(general-docs ver: 1.06 upstream: No-Upstream-Ver)
(games ver: 1.18 upstream: 1.04)
(fsf-compat ver: 1.17 upstream: No-Upstream-Ver)
(frame-icon ver: 1.11 upstream: No-Upstream-Ver)
(fortran-modes ver: 1.05 upstream: No-Upstream-Ver)
(forms ver: 1.15 upstream: 2.37)
(footnote ver: 1.16 upstream: 0.18x)
(eudc ver: 1.4 upstream: 1.32)
(eterm ver: 1.17 upstream: No-Upstream-Ver)
(eshell ver: 1.17 upstream: 0fc80a3f6bb3bb59f42e9ff83cc8b89bf90fe658)
(escreen ver: 1.01 upstream: 1.16)
(erc ver: 0.22 upstream: Version 5.1.2 Revision: 1.796.2.6)
(emerge ver: 1.11 upstream: No-Upstream-Ver)
(elib ver: 1.13 upstream: 1.0)
(eieio ver: 1.06 upstream: 1.0pre4)
(efs ver: 1.34 upstream: 1.24)
(edt ver: 1.14 upstream: No-Upstream-Ver)
(edit-utils ver: 2.4 upstream: No-Upstream-Ver)
(ediff ver: 1.77 upstream: 2.75)
(edebug ver: 1.22 upstream: No-Upstream-Ver)
(ede ver: 1.01 upstream: 1.0pre4)
(ecrypto ver: 0.21 upstream: 2.0)
(ecb ver: 1.22 upstream: 2.31)
(easypg ver: 1.03 upstream: 0.0.16)
(docbookide ver: 0.08 upstream: 0.1)
(dired ver: 1.19 upstream: 7.16)
(dictionary ver: 1.16 upstream: 1.8)
(debug ver: 1.18 upstream: No-Upstream-Ver)
(crisp ver: 1.15 upstream: 1.34)
(cookie ver: 1.15 upstream: No-Upstream-Ver)
(cogre ver: 1.02 upstream: 0.5)
(clearcase ver: 1.1 upstream: /main/laptop/165)
(cedet-common ver: 1.01 upstream: 1.0pre4)
(cc-mode ver: 1.45 upstream: 5.30.10)
(calendar ver: 1.38 upstream: No-Upstream-Ver)
(calc ver: 1.26 upstream: 2.02fX3)
(c-support ver: 1.22 upstream: No-Upstream-Ver)
(build ver: 1.14 upstream: 2.02)
(bbdb ver: 1.32 upstream: 2.35)
(auctex ver: 2008.021 upstream: 11.85)
(apel ver: 1.33 upstream: 10.6)
(ada ver: 1.14 upstream: 2.27)
(Sun ver: 1.16 upstream: No-Upstream-Ver)
(skk ver: 1.24 upstream: 10.62a)
(mule-ucs ver: 1.17 upstream: 0.84)
(mule-base ver: 1.53 upstream: No-Upstream-Ver)
(lookup ver: 1.15 upstream: 1.0)
(locale ver: 1.28 upstream: No-Upstream-Ver)
(leim ver: 1.28 upstream: No-Upstream-Ver)
(latin-unity ver: 1.2 upstream: 1.20)
(latin-euro-standards ver: 1.08 upstream: 1.08)
(egg-its ver: 1.27 upstream: No-Upstream-Ver)
(edict ver: 1.16 upstream: 0.9.9)

Installed Modules:
-----------------

Features:
--------

(vm-pgg vm-reply vm-rfaddons vm-menu vm-window vm-toolbar vm-folder
vm-mime vm-undo vm-summary vm-mouse vm-page vm-motion vm-minibuf
vm-message vm-misc vm-macro vm-vars vm vm-version xemacsbug shadow
gnus-score score-mode gnus-ml gnus-msg gnus-art mm-uu mml2015 pgg
password pgg-parse pgg-def mm-view disp-table gnus-topic nndoc
parse-time gnus-sum gnus-cache gnus-group gnus-undo nndraft nnmh
nnmail mail-source format-spec efs-cu nntp nnoo gnus-start gnus-spec
gnus-int gnus-range message mml mml-sec mml-smime smime dig mm-decode
mm-bodies mm-encode mailcap lpr mail-parse rfc2045 rfc2231 rfc2047 qp
ietf-drums mail-abbrevs sendmail rfc822 mailheader canlock sha1
executable hex-util gnus-win gnus gnus-ems gnus-xmas gnuserv
guided-tour paren blink-paren func-menu bbdb regexp-opt timezone
jka-compr slime byte-optimize bytecomp byte-compile tree-widget
wid-edit apropos edmacro timer-funcs overlay font-lock cus-face
hyperspec thingatpt browse-url hideshow pp timer comint ring smiley
annotations messagexmas nnheader nnheaderxm gnus-util netrc time-date
mm-util mail-prsvr mail-utils x-compose filladapt image-mode view-less
view mwheel advice advice-preload zenirc-autoloads xwem-autoloads
xslt-process-autoloads xslide-autoloads xlib-autoloads xetla-autoloads
xemacs-devel-autoloads xemacs-base-autoloads x-symbol-autoloads
w3-autoloads vm-autoloads viper-autoloads view-process-autoloads
vhdl-autoloads vc-cc-autoloads vc-autoloads tramp-autoloads
tpu-autoloads tooltalk-autoloads tm-autoloads time-autoloads
textools-autoloads text-modes-autoloads texinfo-autoloads
supercite-autoloads strokes-autoloads speedbar-autoloads
sounds-wav-autoloads sounds-au-autoloads sml-mode-autoloads
slider-autoloads sieve-autoloads sh-script-autoloads sgml-autoloads
semantic-autoloads scheme-autoloads sasl-autoloads
ruby-modes-autoloads rmail-autoloads riece-autoloads reftex-autoloads
re-builder-autoloads python-modes-autoloads psgml-dtds-autoloads
psgml-autoloads ps-print-autoloads prog-modes-autoloads pgg-autoloads
perl-modes-autoloads pcomplete-autoloads pcl-cvs-autoloads
pc-autoloads os-utils-autoloads oo-browser-autoloads ocaml-autoloads
net-utils-autoloads mmm-mode-autoloads misc-games-autoloads
mine-autoloads mh-e-autoloads mew-autoloads mailcrypt-autoloads
mail-lib-autoloads jde-autoloads ispell-autoloads ilisp-autoloads
igrep-autoloads idlwave-autoloads ibuffer-autoloads
hyperbole-autoloads hm--html-menus-autoloads haskell-mode-autoloads
guided-tour-autoloads gnus-autoloads gnats-autoloads
general-docs-autoloads games-autoloads fsf-compat-autoloads
frame-icon-autoloads fortran-modes-autoloads forms-autoloads
footnote-autoloads eudc-autoloads eterm-autoloads eshell-autoloads
escreen-autoloads erc-autoloads emerge-autoloads elib-autoloads
eieio-autoloads efs-autoloads edt-autoloads edit-utils-autoloads
ediff-autoloads edebug-autoloads ede-autoloads ecrypto-autoloads
ecb-autoloads easypg-autoloads docbookide-autoloads dired-autoloads
dictionary-autoloads debug-autoloads crisp-autoloads cookie-autoloads
cogre-autoloads clearcase-autoloads cedet-common-autoloads
cc-mode-autoloads calendar-autoloads calc-autoloads
c-support-autoloads build-autoloads bbdb-autoloads tex-site
auctex-autoloads apel-autoloads ada-autoloads Sun-autoloads
skk-autoloads mule-ucs-autoloads mule-base-autoloads lookup-autoloads
locale-autoloads leim-autoloads latin-unity-autoloads
latin-euro-standards-autoloads egg-its-autoloads edict-autoloads
modules-autoloads mule-autoloads auto-autoloads auto-show fontl-hooks
canna-leim tibetan slovenian czech romanian lao devanagari indian
cyrillic code-cmds gutter-items menubar-items x-menubar mode-motion
mouse behavior itimer auto-save lisp-mode easymenu easy-mmode
iso8859-1 page buff-menu lib-complete loadhist cus-file derived
newcomment rsz-minibuf env text-props fontconfig frame obsolete
cus-start custom widget cl-extra cl cl-19 packages backquote unicode
font-mgr lucid-scrollbars cut-buffer xft-fonts lucid-menubars
athena-dialogs x c-balloon-help tty-frames tty toolbar nas-sound
native-sound alsa-sound scrollbar unix-processes multicast
network-streams subprocesses bigfloat ratio bignum number-types
modules menu-accelerator-support menubar berkeley-db md5 xemacs xim
mule gutter tiff png gif jpeg xface xpm xbm lisp-float-type
file-coding linux dialog devices window-system base64)

Recent keystrokes:
-----------------

M-x g n u s RET y button5 button5up button5 button5up 
button5 button5up button5 button5up button5 button5up 
button5 button5up button5 button5up button5 button5up 
button5 button5up button5 button5up button5 button5up 
button2 button2up 2 6 1 RET button1 button1up M-x x 
e m TAB r e TAB BS BS b TAB TAB BS BS BS BS BS BS BS 
BS r e p o TAB TAB r TAB x TAB RET

Recent messages (most recent first):
-----------------------------------

Loading vm-revno...done
Loading vm-revno...
Parsing /home/boffi/.mailrc... done
Parsing /home/boffi/.mailrc...
VM-RFADDONS: VM is now infected. Please report bugs to Robert Widhopf-Fenk!
Adding vm-rfaddons-option `take-action-on-attachment'.
Adding vm-rfaddons-option `encode-headers'.
Adding vm-rfaddons-option `check-for-empty-subject'.
Adding vm-rfaddons-option `check-recipients'.
Loading vm...done
Loading vm...
Loading xemacsbug...done
Loading xemacsbug...
Making completion list...
Generating summary...done
Generating summary...
Sorting threads...done
Sorting threads...
Scoring...done
Scoring...
History
Date User Action Args
2010-01-05 02:09:17mike.kupferlinkissue495 superseder
2009-09-25 02:23:42stephenlinkissue410 superseder
2009-09-24 14:38:59stephensetnosy: + acs
messages: + msg1854
2009-09-24 14:36:51stephenlinkissue373 superseder
2009-09-23 14:21:38stephensetstatus: assigned -> committed
messages: + msg1852
2009-09-22 16:47:08stephensetmessages: + msg1845
2009-09-22 12:10:50stephensetstatus: assigned
assignedto: stephen
type: defect
severity: crash
platform: + N/A
nosy: + stephen
messages: + msg1843
module: + core code 21.4, core code 21.5
priority: normal
2009-09-18 14:41:47giacomo.bofficreate